﻿using System.Configuration;

namespace Kreta.Core.FileService.Configuration
{
    public class Storage : ConfigurationElement
    {
        [ConfigurationProperty(nameof(Key), IsRequired = true, IsKey = true)]
        public string Key => (string)this[nameof(Key)];

        [ConfigurationProperty(nameof(MaxFileSizeInBytes), IsRequired = true)]
        public int MaxFileSizeInBytes => (int)this[nameof(MaxFileSizeInBytes)];

        [ConfigurationProperty(nameof(MinimumRequiredFreeSpaceInBytes), IsRequired = true)]
        public int MinimumRequiredFreeSpaceInBytes => (int)this[nameof(MinimumRequiredFreeSpaceInBytes)];

        [ConfigurationProperty(nameof(Paths), IsDefaultCollection = false)]
        public PathElementCollection Paths => (PathElementCollection)base[nameof(Paths)];
    }
}
